GetPackageFirewallLog
Fetches the package firewall log identified by the UUID.
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
package-firewall-logs
/
{uuid}
GetPackageFirewallLog
curl --request GET \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-firewall-logs/{uuid}import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-firewall-logs/{uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-firewall-logs/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"package_name": "<string>",
"action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
"action_at": "2023-11-07T05:31:56Z",
"api_key_id": "<string>",
"api_key_name": "<string>",
"block_reason": "BLOCK_REASON_UNSPECIFIED",
"blocked_at": "2023-11-07T05:31:56Z",
"cvss_severity_level": "CVSS_SEVERITY_LEVEL_UNSPECIFIED",
"cvss_vuln_uuid": "<string>",
"filtered_versions": [
{
"malware_uuid": "<string>",
"package_age_hours": 123,
"reason": "PACKAGE_FIREWALL_REASON_UNSPECIFIED",
"version": "<string>"
}
],
"malware_uuid": "<string>",
"package_age_hours": 123,
"package_license": "<string>",
"package_version": "<string>",
"reason": "PACKAGE_FIREWALL_REASON_UNSPECIFIED",
"remote_address": "<string>",
"request_type": "<string>",
"request_uri": "<string>",
"user": "<string>"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
The UUID of the requested resource.
Query Parameters
List of fields to return (all fields are returned by default).
Response
A successful response.
PackageFirewallLog represents a package firewall audit event recording the action taken and the reason that triggered it.
Was this page helpful?
⌘I
GetPackageFirewallLog
